
SET IDENTITY_INSERT [dw] on


INSERT INTO [dw] ([parentId],[departName],[id],[selfReg],[selfModifyProfile])
	VALUES (0,N'山东清正软件',1,0,1)
SET IDENTITY_INSERT [dw] off
INSERT INTO [user] ([id],[password],[departid])
	VALUES ('system','2B951B02BDBEEC558A6EA48A3C05F4AC',1)


SET IDENTITY_INSERT kcxx on

INSERT INTO [kcxx] (parentId,subjectName,[id],orderId)
	VALUES (0,'科目',1,1) 
 
SET IDENTITY_INSERT kcxx off

--设置为教师角色
INSERT INTO userRoles (userId,roleId,[range])
	VALUES ('system',3,1) 
	
--设置为题库管理员
INSERT INTO userRoles (userId,roleId,[range])
	VALUES ('system',6,1) 
SET IDENTITY_INSERT exam_paper on
INSERT INTO exam_paper
           ([title]
           ,[author]
           ,[subjectId],[id])
     VALUES
           ('英语基础'
           ,'system'
           ,1,1)
SET IDENTITY_INSERT exam_paper off
INSERT INTO exam
	      (id, examiner,  startTime, endTime,timeLen,freeEnter,subjectId,displayScore,random,ranOrder,testsInOnePage,lockPage,enterLimitation,useLevelForResult)
	VALUES ('演示考试','system',getdate(),DATEADD(year, 10, getdate()),100,1,1,2,0,1,1,1,-1,0)
INSERT INTO chengji(examid,examinee)
	values('演示考试','system')
	
	